Returns the export of the current site as a episerverdata file.
1 min
GET
/episerverapi/commerce/export/site/{siteName}
Path Parameters
- siteNamestringrequiredDescription
Responses
200
401
500
curl
curl --request GET \
--url /episerverapi/commerce/export/site/{siteName} \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("/episerverapi/commerce/export/site/{siteName}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("/episerverapi/commerce/export/site/{siteName}")
http = Net::HTTP.new(url.host, url.port);
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = http.request(request)
puts response.read_body
python
import requests
import json
url = "/episerverapi/commerce/export/site/{siteName}"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// The file containing the exported site.
401
// If user does not have enough permission for this request.
500
// If error when creating the export file.
PREVIOUS
Receives a media asset import file and imports the assets into the CMS
The file to be used is based of the upload identifier of a file previously updated using /episerverapi/commerce/import/upload/chunk
and /episerverapi/commerce/import/upload/commit.
NEXT
Gets all the catalog entry item assets.